NativeTestSuiteBinarySpec (Gradle API 2.14.1)

org.gradle.nativeplatform.test

## Interface NativeTestSuiteBinarySpec

- All Superinterfaces:
    BinarySpec, Buildable, BuildableComponentSpec, ComponentSpec, ModelElement, Named, NativeBinarySpec, TestSuiteBinarySpec
  All Known Subinterfaces:
    CUnitTestSuiteBinarySpec, GoogleTestTestSuiteBinarySpec

      @Incubating
      public interface NativeTestSuiteBinarySpec
      extends TestSuiteBinarySpec, NativeBinarySpec

  An executable which runs a suite of tests.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NativeTestSuiteBinarySpec.TasksCollection` Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeTestSuiteSpec` | `getComponent()` The component that this binary was built from.
    `NativeExecutableFileSpec` | `getExecutable()`
    `File` | `getExecutableFile()` The executable file.
    `NativeInstallationSpec` | `getInstallation()`
    `NativeTestSuiteBinarySpec.TasksCollection` | `getTasks()` The set of tasks associated with this binary.
    `NativeBinarySpec` | `getTestedBinary()` The tested binary.
    `NativeTestSuiteSpec` | `getTestSuite()` Returns the test suite that this binary belongs to.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

- - ### Method Detail

    - #### getTestSuite

          NativeTestSuiteSpec getTestSuite()

      Returns the test suite that this binary belongs to.
      Specified by:
        `getTestSuite` in interface `TestSuiteBinarySpec`

    - #### getComponent

          NativeTestSuiteSpec getComponent()

      Description copied from interface: `NativeBinarySpec`
      The component that this binary was built from.
      Specified by:
        `getComponent` in interface `NativeBinarySpec`

    - #### getTestedBinary

          NativeBinarySpec getTestedBinary()

      The tested binary.

    - #### getExecutableFile

          File getExecutableFile()

      The executable file.

    - #### getTasks

          NativeTestSuiteBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`

    - #### getInstallation

          NativeInstallationSpec getInstallation()

    - #### getExecutable

          NativeExecutableFileSpec getExecutable()